
from design_instrument import *

print """

This is an 8-holed flute similar to the Yamaha YRF-21, capable of playing a full
chromatic scale using cross-fingerings and a few half-covered holes.

Google "PVC flute" for information on how to make the mouth hole. 

The second last hole is a thumb hole.

"""

# C Flute: C  C# D  Eb E  F  F# G  G# A  Bb B
# F Flute: F  F# G  G# A  Bb B  C  C# D  Eb E  

# Hole sizes
# Small holes are required for cross fingering, but skew the upper register
# It's a trade-off
small = 6
medium = 7
large = 10

design_instrument(
    base_note = 'F4',
    base_m = 1,
    
    outer_diameter_mm = 22, #PVC pipe
    inner_diameter_mm = 18,
    
    hole_diameters_mm = [ small,large,small,medium,large,large,medium,small ],
    
    fingerings = [
     #(1, 'F4',  [ 1,1,1,1, 1,1, 1, 1 ]),
     #     F#4 is half-holed
      (1, 'G4',  [ 0,1,1,1, 1,1, 1, 1 ]),
     #     G#4 is half-holed
      (1, 'A4',  [ 1,0,1,1, 1,1, 1, 1 ]),
      (1, 'Bb4', [ 1,0,0,1, 1,1, 1, 1 ]),
      (1, 'B4',  [ 1,1,1,0, 1,1, 1, 1 ]),
      (1, 'C5',  [ 1,0,0,0, 1,1, 1, 1 ]),
      (1, 'C#5', [ 1,1,1,1, 0,1, 1, 1 ]),
      (1, 'D5',  [ 1,0,0,0, 0,1, 1, 1 ]),
      (1, 'Eb5', [ 1,0,1,1, 1,0, 1, 1 ]),
      (1, 'E5',  [ 1,0,0,0, 0,0, 1, 1 ]),
      (1, 'F5',  [ 1,0,0,0, 0,0, 0, 1 ]),
      (1, 'F#5', [ 1,0,0,0, 0,0, 0, 0 ]),
      
      (2, 'G5',  [ 0,1,1,1, 1,1, 1, 1 ]),
     #     G#5 is half holed
      (2, 'A5',  [ 1,0,1,1, 1,1, 1, 1 ]),
      (2, 'Bb5', [ 1,0,0,1, 1,1, 1, 1 ]),
      (2, 'B5',  [ 1,0,1,0, 1,1, 1, 1 ]),
      (2, 'C6',  [ 1,0,0,0, 1,1, 1, 1 ]),
      (2, 'C#6', [ 1,0,0,1, 0,1, 1, 1 ]),
      (2, 'D6',  [ 1,0,0,0, 0,1, 1, 1 ]),
      (2, 'Eb6', [ 1,0,0,0, 1,0, 1, 1 ]),
      (2, 'E6',  [ 1,0,0,0, 0,0, 1, 1 ]),
      (2, 'F6',  [ 1,0,0,0, 0,0, 0, 1 ]),
    ]
)


