
from design_instrument import *

print """

This is a design for a pentatonic flute or recorder.

You could give it either a flute or a recorder style mouthpiece.
The flute style mouthpiece being easier to make (google "PVC flute"), 
the recorder easier to play.

It is hard to produce an un-musical result on this scale.

With small holes, upper registers tend to be sharp. The program
minimizes this error by spreading it over both registers.

"""

design_instrument(
    base_note = 'F4',
    base_m = 1,
    
    outer_diameter_mm = 22, #PVC pipe 
    inner_diameter_mm = 18,
    
    hole_diameters_mm = [ 10,10,10,10 ],
    
    fingerings = [
        (1, 'G4', [ 0,1,1,1 ]),
        (1, 'A4', [ 0,0,1,1 ]),
        (1, 'C5', [ 0,0,0,1 ]),
        (1, 'D5', [ 0,0,0,0 ]),

        (2, 'G5', [ 0,1,1,1 ]),
        (2, 'A5', [ 0,0,1,1 ]),
        (2, 'C6', [ 0,0,0,1 ]),
        (2, 'D6', [ 0,0,0,0 ]),
    ]
)