
from design_instrument import *

print """

This is a design for a simple reed pipe with C4 as the lowest note.

Since a reed behaves like a closed end, we use m = 0.5. 

German recorder fingering is used, including cross-fingerings. 

The final hole is a thumb hole.

"""

# Hole sizes
small = 5
large = 6

design_instrument(
    base_note = 'C4',
    base_m = 0.5,
    outer_diameter_mm = 20,
    inner_diameter_mm = 8,
    hole_diameters_mm = [ small,large,small,large,large,large,small,large ],
    
    fingerings = [
        (0.5, 'D4',  [0,1,1,1,1,1,1,1]),
        (0.5, 'E4',  [0,0,1,1,1,1,1,1]),
        (0.5, 'F4',  [0,0,0,1,1,1,1,1]),
        (0.5, 'F#4', [1,1,1,0,1,1,1,1]),
        (0.5, 'G4',  [0,0,0,0,1,1,1,1]),
        (0.5, 'G#4', [0,1,1,1,0,1,1,1]),
        (0.5, 'A4',  [0,0,0,0,0,1,1,1]),
        (0.5, 'Bb4', [0,0,0,1,1,0,1,1]),
        (0.5, 'B4',  [0,0,0,0,0,0,1,1]),
        (0.5, 'C5',  [0,0,0,0,0,1,0,1]),
        (0.5, 'C#5', [0,0,0,0,0,1,1,0]),
        (0.5, 'D5',  [0,0,0,0,0,1,0,0]),
    ]
)